CIF_FIX_VALUES(1)

NAME
cif_fix_values - correct various CIF file values and output the made changes into the standard I/O streams. The script is capable of making these corrections: - Converting temperature from degrees Celsius to kelvins, removing temperature units of measurement, processing other undefined temperature values; - Fixing misspelled values by using the provided replacement value file; - Fixing enumeration values in CIF file against CIF dictionaries; - Correcting values of '_exptl_crystal_density_meas' data item. All described corrections are enabled by default, but can be disabled by prefixing the corresponding options by '--do-not', '--dont' or '--no' (for example, '--no-fix-temperature').

SYNOPSIS
cif_fix_values --options input1.cif input*.cif

DESCRIPTION
Correct various CIF file values and output the made changes into the standard I/O streams. The script is capable of making these corrections: - Converting temperature from degrees Celsius to kelvins, removing temperature units of measurement, processing other undefined temperature values; - Fixing misspelled values by using the provided replacement value file; - Fixing enumeration values in CIF file against CIF dictionaries; - Correcting values of '_exptl_crystal_density_meas' data item.

All described corrections are enabled by default, but can be disabled by prefixing the corresponding options by '--do-not', '--dont' or '--no' (for example, '--no-fix-temperature').

OPTIONS
--fix-temperature
                  Corrects temperature values which have units specified
                  or converts between degrees Celsius and kelvins.
                  Changes 'room/ambiante temperature' to the appropriate
                  numeric value. Changes other undefined values
                  ('none', 'not given') to '?' symbol.

--fix-misspelled replacement_value.lst
                  Corrects misspelled values in the CIF file. Provide a file
                  for the check.

--fix-dois
                  Removes URL or DOI: prefixes from values of DOI data
                  items.

--fix-enums
                  Corrects enumeration values in the CIF against CIF
                  dictionaries. Provide dictionaries using option
                  --dictionaries (or -d), otherwise script uses a
                  built-in table derived from the CIF Core dictionary.

--treat-as-set
                  Treats certain enumeration values as set data type in
                  the CIF against CIF dictionaries (default). Provide
                  dictionaries using --dictionaries (or -d) option, otherwise
                  script uses a built-in table derived from the CIF Core
                  dictionary.

--fix-density-meas
                  Corrects value of data item '_exptl_crystal_density_meas'.
                  Values which are perceived as 'not measured' are changed
                  to '?'. The correct units are deleted. The new data item
                  is created if there are information about temperature.

--fix-weighting-scheme
                  Changes the value of the data item '_refine_ls_weighting_scheme'
                  to the value 'calc' if it contains details which seems to
                  have a formula, and creates new data item
                  '_refine_ls_weighting_details' to store that information.
                  If value is equal to number one, then it is changed to
                  the enumeration value 'unit'.

--fix-atom-sites-solution
                  Corrects the most frequent mistakes in the values of
                  data items '_atom_sites_solution_primary',
                  '_atom_sites_solution_secondary' and
                  '_atom_sites_solution_hydrogens'.

-d, --dictionaries 'cif_core.dic,cif_cod.dic'
                  A list of CIF dictionary files (according to DDL1)
                  to be used in CIF file validation. List elements
                  are separated either by ',' or by ' '. To include
                  dictionaries with filenames containing these symbols,
                  the --add-dictionary option is used.

-D, --add-dictionary 'cif new dictionary.dic'
                  Add additional CIF dictionary to the list.

--clear-dictionaries
                  Remove all CIF dictionaries from the list.

--use-perl-parser

--use-c-parser
                  Specify parser to parse CIF files (default: C parser).

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif_fix_values bugs using e-mail: cod-bugs@ibt.lt